org.springframework.batch.core.job.flow

## Class FlowExecution

- java.lang.Object
- - org.springframework.batch.core.job.flow.FlowExecution

- All Implemented Interfaces:
    java.lang.Comparable<FlowExecution>

      public class FlowExecution
      extends java.lang.Object
      implements java.lang.Comparable<FlowExecution>

  Since:
    2.0
  Author:
    Dave Syer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlowExecution(java.lang.String name, FlowExecutionStatus status)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(FlowExecution other)` Create an ordering on `FlowExecution` instances by comparing their statuses.
    `java.lang.String` | `getName()`
    `FlowExecutionStatus` | `getStatus()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FlowExecution

          public FlowExecution(java.lang.String name,
                               FlowExecutionStatus status)

      Parameters:
        `name` - the flow name to be associated with the FlowExecution.
        `status` - the `FlowExecutionStatus` to be associated with the FlowExecution.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Returns:
        the name of the end state reached

    - #### getStatus

          public FlowExecutionStatus getStatus()

      Returns:
        the FlowExecutionStatus

    - #### compareTo

          public int compareTo(FlowExecution other)

      Create an ordering on `FlowExecution` instances by comparing their statuses.
      Specified by:
        `compareTo` in interface `java.lang.Comparable<FlowExecution>`
      Parameters:
        `other` - the `FlowExecution` instance to compare with this instance.
      Returns:
        negative, zero or positive as per the contract
      See Also:
        `Comparable.compareTo(Object)`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`